Teams API
Teams API
Заголовок раздела «Teams API»List teams
Заголовок раздела «List teams»List all teams for an account:
GET /teamsResponse
Заголовок раздела «Response»Status: 200 OK[ { "name": "Application Development", "created_at": "2016-03-14T03:10:36-06:00", "sourceID": null, "updated_at": "2016-03-14T03:10:36-06:00", "id": 7, "disabled": false }, { "name": "Database Administration", "created_at": "2016-03-14T03:10:36-06:00", "sourceID": null, "updated_at": "2016-03-14T03:10:36-06:00", "id": 8, "disabled": false }, "..."]The response contains these fields by default. Filtering and pagination are available to reduce/limit the collection of teams.
Predefined Filters
Заголовок раздела «Predefined Filters»The following predefined filters are available:
/teams/disabled: List all disabled teams/teams/enabled: List all enabled teams
Collection Fields
Заголовок раздела «Collection Fields»By default the following fields will appear in collections of teams:
id
sourceID
name
created_at
updated_at
Obtain a different set of fields using the ?fields= parameter .
Filtering
Заголовок раздела «Filtering»Filtering is available for the following fields :
id
source
sourceID
name
created_at
updated_at
disabled
Sorting
Заголовок раздела «Sorting»By default a collection of teams is sorted
ascending
by
name
.
The following fields are accepted by the ?sort= parameter :
id
sourceID
name
created_at
updated_at
Get a single team
Заголовок раздела «Get a single team»GET /teams/:idResponse
Заголовок раздела «Response»Status: 200 OK{ "picture_uri": null, "name": "Application Development", "coordinator": { "name": "Frank Watson", "id": 32 }, "remarks": "Responsible for all non-SAP server-based applications of the Widget Data Center organization.", "created_at": "2016-03-14T03:10:36-06:00", "sourceID": null, "work_hours": { "name": "Monday through Friday, 8:00am until 5:00pm", "id": 38 }, "updated_at": "2016-03-14T03:10:36-06:00", "manager": { "name": "Rodney Wilson", "id": 34 }, "configuration_manager": { "name": "Frank Watson", "id": 32 }, "id": 7, "time_zone": "Central Time (US & Canada)", "disabled": false, "source": null, "inbound_email_local_part": "application-development"}The response contains these fields .
Create a team
Заголовок раздела «Create a team»POST /teamsWhen creating a new team these fields are available.
Response
Заголовок раздела «Response»Status: 201 Created{ "configuration_manager": "...", "...": "..."}The response contains all fields of the created team and is similar to the response in Get a single team
Update a team
Заголовок раздела «Update a team»PATCH /teams/:idWhen updating a team these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "configuration_manager": "...", "...": "..."}The response contains all fields of the updated team and is similar to the response in Get a single team
agile_board
Optional reference to Agile Board — The Agile Board field is used to automatically link records to the agile board when they are assigned to the team.
auto_assign
Optional
boolean
, default:
false
— The Auto assign field is used to indicate whether requests are auto-assigned to a team member.
attachments
Readonly aggregated Attachments
configuration_manager
Optional reference to Person — The Configuration manager field is used to select the person who maintains the information about the Configuration Items that the team supports.
coordinator
Optional reference to Person — The Coordinator field is used to select the current team coordinator for the team. Only members of the team can be selected in this field.
created_at
Readonly datetime — The date and time at which the team was created.
custom_fields
Optional custom fields — Custom fields provided in JSON format by the UI Extension that is linked to the team.
custom_fields_attachments
Writeonly attachments The attachments used in Custom fields.
disabled
Optional
boolean
, default:
false
— The Disabled box is checked when the team may no longer be related to other records.
id
Readonly integer — The unique ID of the team.
inbound_email_local_part
Optional string (max 64) - The Inbound email address field is used to specify an email address for the team. When an email is sent to this email address, a new request gets generated and assigned to the team. Visit R-Service Mail API for more information about inbound email.
manager
Optional reference to Person — The Manager field is used to select the manager or supervisor of the team. This person is able to maintain the information about the team. The manager of a team does not need to be a member of the team.
name
Required string (max 128) — The Name field is used to enter the name of the team.
picture_uri
Optional string — The hyperlink to the image file for the team.
remarks
Optional text (max 64KB) — The Remarks field is used to add any additional information about the team that might prove useful.
remarks_attachments
Writeonly attachments The inline attachments used in the Remarks field.
scrum_workspace
Readonly reference to Scrum Workspace — The Scrum Workspace used by this team to plan their work.
source
Optional string (max 30) - See source
sourceID
Optional string (max 128) - See source
time_zone
Optional time_zone — The Time zone field is used to select the time zone that applies to the selected work hours.
updated_at
Readonly
datetime
— The date and time of the last update of the team. If the team has no updates it contains the
created_at
value.
ui_extension
Readonly reference to UI Extension — The UI extension field indicates the UI extension that is applied to the team.
work_hours
Optional reference to Calendar — The Work hours field is used to select a Calendar that defines the work hours during which the team is available for work on all types of assignments.